Skip to main content
GET
/
v0
/
blockchain_payments
List all Blockchain Payments
curl --request GET \
  --url https://api.sandbox.lead.bank/v0/blockchain_payments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.lead.bank/v0/blockchain_payments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.lead.bank/v0/blockchain_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "objects": [
    {
      "id": "blockchain_payment_xyz123",
      "debtor": {
        "account_identifier": {
          "type": "account_number_id",
          "value": "account_number_xyz123"
        },
        "chain": "ethereum",
        "refund_wallet_address": "0xabc123def456",
        "funding_instructions": {
          "from_wallet_address": "0xabc123def456",
          "chain": "ethereum",
          "amount": "100.00",
          "currency_code": "USDC",
          "to_wallet_address": "0xdef456abc789"
        },
        "entity_id": "entity_xyz123"
      },
      "creditor": {
        "payment_rail": "wire",
        "ach": {
          "account_number": "123456789",
          "routing_number": "021000021"
        },
        "type": "individual",
        "address": {
          "line_one": "123 Main St",
          "city": "San Francisco",
          "country": "US",
          "line_two": "Suite 100",
          "state": "CA",
          "postal_code": "94105"
        },
        "ach_wire": {
          "account_number": "123456789",
          "routing_number": "021000021"
        },
        "wire": {
          "account_number": "123456789",
          "routing_number": "021000021"
        },
        "bre_b": {
          "bre_b_key": "1234567890"
        },
        "fps": {
          "account_number": "12345678",
          "sort_code": "123456"
        },
        "iban": {
          "account_number": "DE89370400440532013000",
          "country": "DE",
          "business_identifier_code": "COBADEFFXXX"
        },
        "swift": {
          "account_number": "123456789",
          "country": "GB",
          "business_identifier_code": "BARCGB22XXX",
          "role": "client",
          "purpose_of_funds": "invoice_for_goods_and_services",
          "short_business_desc": "Software development services"
        },
        "clabe": {
          "account_number": "032180000118359719"
        },
        "pix_key": {
          "pix_key": "12345678909",
          "document_number": "12345678901"
        },
        "pix_br_code": {
          "br_code": "00020126580014br.gov.bcb.pix...",
          "document_number": "12345678901"
        },
        "co_bank_transfer": {
          "account_number": "1234567890",
          "bank_code": "1007",
          "account_type": "savings",
          "document_type": "cc",
          "document_number": "12345678901",
          "phone_number": "+573001234567"
        },
        "wallet": {
          "wallet_address": "0xdef456abc789"
        },
        "individual": {
          "first_name": "Maria",
          "last_name": "Garcia"
        },
        "business": {
          "business_name": "Acme International LLC"
        }
      },
      "creditor_agent": {
        "bank_name": "Banco Nacional de Mexico",
        "country_code": "MX",
        "address": {
          "line_one": "123 Main St",
          "city": "San Francisco",
          "country": "US",
          "line_two": "Suite 100",
          "state": "CA",
          "postal_code": "94105"
        }
      },
      "amounts": {
        "instructed_amount": 100000,
        "instructed_currency_code": "USD",
        "settlement_currency_code": "MXN",
        "settlement_amount": 100000,
        "settlement_exchange_rate": "1.00"
      },
      "payment_purpose": {
        "type": "invoice_payment",
        "other_details": "Monthly vendor payment"
      },
      "reference": "INV2024001",
      "status": "created",
      "rejection_reason": "name in request and name on account do not match",
      "cancelation_reason": "Requested by customer",
      "created_at": "2024-06-27T11:22:33Z",
      "updated_at": "2024-06-27T11:22:33Z"
    }
  ],
  "has_more": true
}
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter payments by their current status. The current status of the blockchain payment.

Available options:
created,
under_review,
awaiting_funds,
submitted,
posted,
rejected,
canceled
Example:

"created"

limit
integer
default:10

Maximum number of objects to be returned.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^blockchain_payment_\w+$
ending_before
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^blockchain_payment_\w+$

Response

List of Blockchain Payment objects

objects
object[]
required
has_more
boolean
required

Indicates whether more results are available.